Bug 250183 - Wine crashes on T&L game with non-T&L hardware
Wine crashes on T&L game with non-T&L hardware
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-30 17:51 EDT by James Gregory
Modified: 2008-01-09 10:37 EST (History)
1 user (show)

See Also:
Fixed In Version: f8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-09 10:37:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output from the console during the Wine crash (6.29 KB, text/plain)
2007-07-30 17:51 EDT, James Gregory
no flags Details
Output from the console during the Wine crash (7.33 KB, text/plain)
2007-09-22 17:31 EDT, James Gregory
no flags Details

  None (edit)
Description James Gregory 2007-07-30 17:51:37 EDT
Description of problem:
Tomb Raider Anniversary requires T&L on the hardware to run correctly. My laptop
has an Intel 915GM graphics card, which does not support T&L. Under Windows XP,
the game runs fine (T&L, I assume, is done by the hardware instead of the
graphics card). Under Linux and Wine, the game crashes after the splash screen
as it initialises the graphics card. Presumably the driver is does not support
the passing of T&L to the CPU instead of the graphics card if it is not
supported by the hardware.

Version-Release number of selected component (if applicable):
wine.i386                                0.9.41-1.fc7
xorg-x11-drv-i810.i386                   2.0.0-4.fc7

How reproducible:
TRA always crashes just after the copyright splash screen. This is presumably
when the graphics card is initialised.

Steps to Reproduce:
1. Load up TRA under Wine (wine tra.exe for example)
Actual results:
The game crashes.

Expected results:
The NVidia logo should display, and the game start to run.

Additional info:
A bug report has been filed on the Wine Bugzilla -
http://bugs.winehq.org/show_bug.cgi?id=9106. They claim it is a hardware problem
and can't do anything further with it at present.
Comment 1 James Gregory 2007-07-30 17:51:37 EDT
Created attachment 160278 [details]
Output from the console during the Wine crash
Comment 2 Adam Jackson 2007-07-31 13:40:19 EDT
GL doesn't have an API to expose whether TNL is done in hardware or not.  The
game shouldn't be able to tell the difference, besides that things may be slower.

If the driver's crashing that's probably a driver bug.  We'll be rebasing the
Mesa in Fedora soon, this might already be fixed upstream.
Comment 3 James Gregory 2007-07-31 14:34:23 EDT
Thanks for your comment. I'll wait until the Mesa updates then (any idea of when
that'll be done) and report back whether or not that fixes it.
Comment 4 James Gregory 2007-08-17 15:18:23 EDT
Any news on when Mesa will be updated to sort out this bug? I also noticed on
Koji that Mesa 7.0 is being built for F8, but nothing for F7 - is Mesa 7.0 going
to be released for F7?
Comment 5 Adam Jackson 2007-08-23 15:22:28 EDT
We have no plans to update Mesa for F7 at this time.
Comment 6 James Gregory 2007-08-24 06:39:56 EDT
That is a shame. Is it possible to use the new F8 packages in F7, or would that 
cause compatibility problems?
Comment 7 Adam Jackson 2007-08-27 12:02:29 EDT
They can be installed in F7 without problems, I suspect.  The issue is just that
the X server requires specific versions of Mesa to build, so it's difficult to
rebase Mesa without also touching the X server for that release.

I'll probably do a final F7 X update after F8 goes out though; I can look into
updating F7's Mesa then.
Comment 8 James Gregory 2007-08-27 12:40:26 EDT
Hmmm, unfortunately not it seems. mesa-libGL-devel conflicts with the older
version of xorg-x11-proto-devel installed on Fedora 7. I suspect that package is
quite deeply embedded in X so I can't see the update being successful (unless I
ignore those conflicts, which I don't think would be a good thing!)
Comment 9 James Gregory 2007-09-22 17:31:24 EDT
Created attachment 203221 [details]
Output from the console during the Wine crash

This is a test of Wine running under Fedora 8 Test 2 Live CD. Exactly the same
problem occurs - the copyright screen appears, and just as the game is about to
start (graphically), it crashes with the same error.
Comment 10 James Gregory 2008-01-05 18:19:16 EST
This issue now appears to be fixed in Fedora 8. The game is bone-crushingly
slow, but it does start and I can proceed as far as the main menu (before it
becomes too unresponsive, and I have to close it).

Not sure if anything can be done about the speed of the game though (without
replacing my laptop with a higher spec machine).
Comment 11 Matěj Cepl 2008-01-09 10:37:25 EST
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.